Apollo

Integrate your application with the Apollo API

🚀 Quickstart

Connect to Apollo with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Apollo.

Authorize Apollo

Go to Connections -> Add Test Connection -> Authorize, then enter your Apollo API key. Later, you'll let your users do the same directly from your app.

Call the Apollo API

Let's make your first request to the Apollo API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v1/organizations/enrich" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Apollo Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Apollo API docs

🧩 Pre-built syncs & actions for Apollo

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
bulk-enrich-peopleBulk enrich people by emails or IDs. Supports up to 10 people per request.Action🔗 Github
create-accountCreate an account in Apollo.Action🔗 Github
create-contactCreate a contact in Apollo.Action🔗 Github
create-opportunityCreate an opportunity in ApolloAction🔗 Github
create-taskCreate a task in ApolloAction🔗 Github
delete-accountDelete or archive an account in Apollo by setting its existence_level to noneAction🔗 Github
delete-contactDelete or archive a contact in ApolloAction🔗 Github
delete-opportunityArchive (soft-delete) an opportunity in Apollo by marking it as closed.Action🔗 Github
enrich-organizationEnrich an organization by domain or Apollo IDAction🔗 Github
enrich-personEnrich a person by email or Apollo IDAction🔗 Github
get-accountRetrieve a single account from Apollo.Action🔗 Github
get-contactRetrieve a single contact from Apollo.Action🔗 Github
get-opportunityRetrieve a single opportunity from Apollo.Action🔗 Github
list-accountsList accounts from Apollo.Action🔗 Github
list-contactsList contacts from Apollo.Action🔗 Github
list-opportunitiesList opportunities from Apollo.Action🔗 Github
list-sequencesList sequences from Apollo.Action🔗 Github
list-tasksList tasks from ApolloAction🔗 Github
list-usersList users (team members) in the Apollo organisation.Action🔗 Github
remove-contact-from-sequenceRemove or stop one or more contacts from an Apollo sequence.Action🔗 Github
search-organizationsSearch Apollo organization records.Action🔗 Github
search-peopleSearch Apollo people recordsAction🔗 Github
update-accountUpdate an account in ApolloAction🔗 Github
update-contactUpdate a contact in Apollo.Action🔗 Github
update-opportunityUpdate an opportunity in Apollo.Action🔗 Github
update-taskUpdate a task in Apollo. Note: Due to OAuth limitations, the original task cannot be directly modified or deleted. A new task is created with the updated fields, and the original task should be manually deleted in the Apollo UI.Action🔗 Github
accountsSync accounts from ApolloSync🔗 Github
contactsSync contacts from ApolloSync🔗 Github
opportunitiesSync opportunities from ApolloSync🔗 Github
organization-searchSync organizations matching saved Apollo filtersSync🔗 Github
sequencesSync sequences from Apollo.Sync🔗 Github
tasksSync tasks from Apollo.Sync🔗 Github

On this page